#
# spec file for package translate-shell
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           translate-shell
Version:        0.9.6.3
Release:        1.1
Summary:        Google Translate to serve as a command-line tool
License:        Unlicense
Group:          Productivity/Networking/Web/Frontends
Url:            https://www.soimort.org/translate-shell
Source:         https://github.com/soimort/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  emacs-nox
BuildRequires:  gawk >= 4.0
BuildRequires:  rlwrap
Requires:       bash
Requires:       gawk >= 4.0
Recommends:     curl
Recommends:     fribidi
Recommends:     less
Recommends:     rlwrap
Suggests:       emacs-nox
Suggests:       mpv
BuildArch:      noarch

%description
Translate Shell is a command-line translator powered by
Google Translate. It gives you easy access to Google Translate in
your terminal.

%prep
%setup -q

%build
make %{?_smp_mflags} V=1

%install
%make_install \
  PREFIX=%{buildroot}%{_prefix}

%check
LC_ALL=en_US.UTF-8 make test %{?_smp_mflags} V=1

%files
%defattr(-,root,root)
%doc CONTRIBUTING.md LICENSE README.md WAIVER
%{_bindir}/trans
%{_mandir}/man?/trans.?%{?ext_man}

%changelog
* Tue May  9 2017 sor.alexei@meowr.ru
- Update to version 0.9.6.3:
  * No changelog available.
* Sat May 28 2016 sor.alexei@meowr.ru
- Update to version 0.9.4:
  * No changelog available.
* Mon Mar 14 2016 idonmez@suse.com
- Update to 0.9.3.2
  * No changelog upstream
- Run tests with a UTF-8 locale.
* Fri Mar  4 2016 sor.alexei@meowr.ru
- Update to 0.9.3.1.
* Thu Feb 11 2016 sor.alexei@meowr.ru
- Update to 0.9.3.
* Tue Dec 29 2015 sor.alexei@meowr.ru
- Update to 0.9.2.1.
* Mon Nov 23 2015 sor.alexei@meowr.ru
- Update to 0.9.1:
  * Fix play() with placeholder parameter "&tk".
  * Add -speak and -identify options.
  * Allow names and endonyms as language aliases.
  * -i will nowt fail if input file was not found.
* Sat Oct 10 2015 sor.alexei@meowr.ru
- Update to 0.9.0.9:
  * Add a placeholder for the access token in parameters.
* Sun Sep 13 2015 sor.alexei@meowr.ru
- Update to 0.9.0.8:
  * Create man directory during make install.
  * Fix play().
  * Set default user agent.
- Remove translate-shell-add-useragent.patch: fixed upstream.
* Thu Jul 30 2015 sor.alexei@meowr.ru
- Initial package.
